View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013488ParaView(No Category)public2012-10-03 11:582015-01-11 08:33
ReporterSven Buijssen 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.98.0 
Summary0013488: [nightly-dev-build] Enabling auto-load for SurfaceLIC plugin leads to warnings on PV startup
DescriptionDownload a nightly build, e.g. ParaView-3.14.1-dev-Windows-32bit.zip from http://open.cdash.org/viewFiles.php?buildid=2593634 [^]

Enable auto-loading of SurfaceLIC plugin (by tweaking .plugins or via Tools - Manage Plugins - SurfaceLIC - Auto Load)
Close ParaView
Start ParaView

=> the following warning is shown 3 times:

Warning: In C:\DBD\pvs-x32\paraview\src\paraview\ParaViewCore\ServerImplementation\Core\vtkSIProxyDefinitionManager.cxx, line 513
vtkSIProxyDefinitionManager (08858A78): Extension for (representations, GeometryRepresentation) ignored since could not find core definition.
TagsNo tags attached.
ProjectTBD
Topic Name13488_fix_auto_load_plugins_issue
Typeusability
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029326)
Utkarsh Ayachit (administrator)
2012-10-04 17:01

commit 9c1aad8c0f41c438ff166221d6bfecb89b364758
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Oct 4 17:00:24 2012 -0400

    BUG 0013488. Fixed XML loading order during initialization.
    
    The XMLs were not loaded in the right order when auto-loaded plugins were
    present. Fixed that. We need to process the xmls from vtkPVInitializerPlugin
    before any other plugins.
    
    Change-Id: I41af5ab6e68e33da9607023cf87a2b6b24e1b687
(0029335)
Utkarsh Ayachit (administrator)
2012-10-05 10:13

merged into master, if applicable.
(0029589)
Alan Scott (manager)
2012-10-30 00:00

Tested local server, Linux, master.

- Issue History
Date Modified Username Field Change
2012-10-03 11:58 Sven Buijssen New Issue
2012-10-04 14:51 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-10-04 14:52 Utkarsh Ayachit Status backlog => todo
2012-10-04 14:52 Utkarsh Ayachit Status todo => active development
2012-10-04 17:01 Utkarsh Ayachit Topic Name => 13488_fix_auto_load_plugins_issue
2012-10-04 17:01 Utkarsh Ayachit Note Added: 0029326
2012-10-04 17:01 Utkarsh Ayachit Status active development => gatekeeper review
2012-10-04 17:01 Utkarsh Ayachit Fixed in Version => git-next
2012-10-04 17:01 Utkarsh Ayachit Resolution open => fixed
2012-10-05 10:12 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-10-05 10:13 Utkarsh Ayachit Status gatekeeper review => customer review
2012-10-05 10:13 Utkarsh Ayachit Note Added: 0029335
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2012-10-30 00:00 Alan Scott Note Added: 0029589
2012-10-30 00:00 Alan Scott Status customer review => closed
2015-01-11 08:33 Utkarsh Ayachit Source_changeset_attached => ParaView master c7a1c807
2015-01-11 08:33 Utkarsh Ayachit Source_changeset_attached => ParaView master 9c1aad8c


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker